[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoBeforeMouseMessage

Performs actions needed before a mouse message is processed in the application.

## Declaration

Source position: forms.pp line 1693

`public procedure TApplication.DoBeforeMouseMessage(`
`CurMouseControl: TControl`
`);`

## Arguments

`CurMouseControl` |  | Current value for the MouseControl property. May be updated with the new control under the mouse pointer in the method.

## Description

DoBeforeMouseMessage ensures that the value in MouseControl is updated before the mouse message is handled in the application. It calls UpdateMouseControl to assign the control under the mouse pointer to the CurMouseControl argument.

DoBeforeMouseMessage is called when messages are exchanged between a widgetset class instance and the LCL application.